Unit tamb1r_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc, UtRes_p, AMB1R_p;

function tamb1r: String; 

implementation

function tamb1r: String;
var
J,I,_i,LOW,IGH :Integer;
SCALE :Array [0..4] of Real;
const
A :Array [0..24] of Real = ( 1.0,2.0,0.0,0.0,0.0,32.0,1.0,1.0,0.0,0.0,0.0,
0.0,1.0,0.0,0.0,1.0,1.0,1.0,1.0,1.0,0.0,0.0,0.0,
0.0,1.0 );
begin
Result := '';
AMB1R(5,5,A,LOW,IGH,SCALE);
Result := Result + Format('%s',['   A=']);
Result := Result + #$0D#$0A;
for J:=1 to 5 do
 begin
for I:=1 to 5 do
 begin
  Result := Result + Format('%20.16f ',[A[(I-1)+(J-1)*5]]) + #$0D#$0A;
 end;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['  LOW,IGH']);
Result := Result + Format(' %5d %5d ',[LOW,IGH]) + #$0D#$0A;
Result := Result + Format('%s',['  SCALE=']);
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%20.16f ',[SCALE[_i]]);
  if ( ((_i+1) mod 5)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tamb1r',Result);  {     tamb1r.res }
exit;
end;

end.
